#!/usr/bin/env python

import argparse
import random

parser = argparse.ArgumentParser()

parser.add_argument("-N",
    help = "Produce a matrix of size NxN",
    default = 1)

options = parser.parse_args()

N = int(options.N)

A = [ [ 0 for i in range(N) ] for j in range(N) ]

for i in range(N):
  for j in range(N):
    A[i][j] = random.random()

print("N = %i" % (N))
for i in range(N):
  for j in range(N):
    print("matrix(%i,%i) = %e" % (i, j, A[i][j]))
